🎉 vox.ai 디스코드 커뮤니티가 새로 열렸어요! 참여하기 →
에이전트 1건을 조회합니다. version=current는 수정 가능한 현재 상태를, production이나 v{n}은 저장된 스냅샷을 반환합니다.
curl --request GET \
--url https://client-api.tryvox.co/v3/agents/{agent_id} \
--header 'Authorization: Bearer <token>'{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "single_prompt",
"created_at": 123,
"updated_at": 123,
"production_version": "v1",
"data": {
"prompt": {
"prompt": "",
"firstLine": "",
"firstLineType": "aiFirstDynamic",
"pauseBeforeSpeakingSeconds": 0,
"isFirstMessageInterruptible": true
},
"stt": {
"languages": [
"<string>"
],
"speed": "high"
},
"llm": {
"model": "<string>",
"temperature": 1,
"thinkingBudget": 123,
"reasoningEffort": "none"
},
"voice": {
"id": "<string>",
"provider": "<string>",
"model": "<string>",
"speed": 1,
"volume": 1,
"language": "<string>",
"temperature": 0.9
},
"speech": {
"responsiveness": 1,
"boostedKeywords": "<string>"
},
"callSettings": {
"backgroundMusic": "none",
"backgroundMusicVolume": 0.5,
"noiseCancellation": "bvc",
"activationThreshold": 0.55,
"callTimeoutInSeconds": 900,
"silenceCallTimeoutInSeconds": 30,
"ringDurationInSeconds": 30,
"dtmfTerminationEnabled": false,
"dtmfTerminationKey": "#",
"dtmfTimeoutSeconds": 3
},
"postCall": {
"actions": [
{
"name": "<string>",
"type": "string",
"isNullable": false,
"description": "<string>",
"enumOptions": [
"<string>"
]
}
]
},
"security": {
"optOutSensitiveDataStorage": false
},
"webhookSettings": {
"callDataWebhookUrl": "<string>",
"inboundCallWebhookUrl": "<string>",
"webhookVersion": "v1"
},
"knowledge": {
"ragEnabled": false,
"knowledgeIds": [
123
]
},
"presetDynamicVariables": {},
"toolIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"builtInTools": [
{
"toolType": "<string>",
"name": "end_call",
"description": "<string>",
"speakDuringExecution": {
"enabled": false,
"messages": [
"<string>"
]
}
}
]
},
"flow_data": {
"nodes": [
{
"id": "<string>",
"type": "<string>",
"position": {
"x": 123,
"y": 123
},
"data": {
"name": "<string>",
"promptType": "static",
"prompt": "<string>",
"staticSentence": "<string>",
"loopCondition": "<string>",
"isAllowInterruption": true,
"isSkipUserResponse": true,
"globalNodeSettings": {
"isGlobalNode": false,
"transitionCondition": "<string>"
},
"transitions": [
{
"id": "<string>",
"condition": "<string>",
"isSkipUserResponse": true,
"isFallback": true,
"isGlobalTransition": true
}
],
"logicalTransitions": [
{
"id": "<string>",
"condition": {
"conditions": [
{
"variable": "<string>",
"operator": "equals",
"value": "<unknown>"
}
],
"logicalOperator": "or"
},
"isSkipUserResponse": true,
"isGlobalTransition": true
}
],
"fineTuningExamples": [
{}
],
"firstLineType": "aiFirst",
"pauseBeforeSpeakingSeconds": 2.5
}
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>",
"type": "custom",
"sourceHandle": "<string>",
"targetHandle": "<string>",
"animated": true,
"selected": true
}
],
"viewport": {}
},
"version": {
"version": "<string>",
"is_production": true,
"created_at": 123,
"description": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt
Use this file to discover all available pages before exploring further.
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
agent_id로 반환되는 에이전트 UUID입니다.
조회할 버전 selector. "current" (default) · "production" · "v{n}".
^(current|production|v[1-9][0-9]*)$성공 응답
에이전트 단건 조회 응답. Summary + data·flow_data·version.
create/update 응답은 AgentMutationResponse (validator 메시지 포함).
에이전트 UUID입니다.
에이전트 이름입니다. 버전 스냅샷을 조회하더라도 현재 최상위 이름을 반환합니다.
에이전트 유형입니다. single_prompt 또는 flow 값을 사용합니다.
single_prompt, flow 리소스 생성 시각입니다. unix milliseconds 형식입니다.
리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
현재 게시된 production 버전입니다. 없으면 null입니다.
^v[1-9][0-9]*$"v1"
선택된 에이전트 설정 스냅샷입니다. 구조는 agent-schema/agent-data-response에 공개되어 있습니다.
Show child attributes
선택된 flow 그래프 스냅샷입니다. flow 에이전트에는 값이 있고, single_prompt 에이전트는 null입니다.
Show child attributes
스냅샷 조회 시에만 populated (version=v{n} 또는 production).
Show child attributes
Was this page helpful?
curl --request GET \
--url https://client-api.tryvox.co/v3/agents/{agent_id} \
--header 'Authorization: Bearer <token>'{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "single_prompt",
"created_at": 123,
"updated_at": 123,
"production_version": "v1",
"data": {
"prompt": {
"prompt": "",
"firstLine": "",
"firstLineType": "aiFirstDynamic",
"pauseBeforeSpeakingSeconds": 0,
"isFirstMessageInterruptible": true
},
"stt": {
"languages": [
"<string>"
],
"speed": "high"
},
"llm": {
"model": "<string>",
"temperature": 1,
"thinkingBudget": 123,
"reasoningEffort": "none"
},
"voice": {
"id": "<string>",
"provider": "<string>",
"model": "<string>",
"speed": 1,
"volume": 1,
"language": "<string>",
"temperature": 0.9
},
"speech": {
"responsiveness": 1,
"boostedKeywords": "<string>"
},
"callSettings": {
"backgroundMusic": "none",
"backgroundMusicVolume": 0.5,
"noiseCancellation": "bvc",
"activationThreshold": 0.55,
"callTimeoutInSeconds": 900,
"silenceCallTimeoutInSeconds": 30,
"ringDurationInSeconds": 30,
"dtmfTerminationEnabled": false,
"dtmfTerminationKey": "#",
"dtmfTimeoutSeconds": 3
},
"postCall": {
"actions": [
{
"name": "<string>",
"type": "string",
"isNullable": false,
"description": "<string>",
"enumOptions": [
"<string>"
]
}
]
},
"security": {
"optOutSensitiveDataStorage": false
},
"webhookSettings": {
"callDataWebhookUrl": "<string>",
"inboundCallWebhookUrl": "<string>",
"webhookVersion": "v1"
},
"knowledge": {
"ragEnabled": false,
"knowledgeIds": [
123
]
},
"presetDynamicVariables": {},
"toolIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"builtInTools": [
{
"toolType": "<string>",
"name": "end_call",
"description": "<string>",
"speakDuringExecution": {
"enabled": false,
"messages": [
"<string>"
]
}
}
]
},
"flow_data": {
"nodes": [
{
"id": "<string>",
"type": "<string>",
"position": {
"x": 123,
"y": 123
},
"data": {
"name": "<string>",
"promptType": "static",
"prompt": "<string>",
"staticSentence": "<string>",
"loopCondition": "<string>",
"isAllowInterruption": true,
"isSkipUserResponse": true,
"globalNodeSettings": {
"isGlobalNode": false,
"transitionCondition": "<string>"
},
"transitions": [
{
"id": "<string>",
"condition": "<string>",
"isSkipUserResponse": true,
"isFallback": true,
"isGlobalTransition": true
}
],
"logicalTransitions": [
{
"id": "<string>",
"condition": {
"conditions": [
{
"variable": "<string>",
"operator": "equals",
"value": "<unknown>"
}
],
"logicalOperator": "or"
},
"isSkipUserResponse": true,
"isGlobalTransition": true
}
],
"fineTuningExamples": [
{}
],
"firstLineType": "aiFirst",
"pauseBeforeSpeakingSeconds": 2.5
}
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>",
"type": "custom",
"sourceHandle": "<string>",
"targetHandle": "<string>",
"animated": true,
"selected": true
}
],
"viewport": {}
},
"version": {
"version": "<string>",
"is_production": true,
"created_at": 123,
"description": "<string>"
}
}